Переполнение буфера в PCRE

Дата публикации:
07.07.2008
Дата изменения:
31.01.2009
Всего просмотров:
1490
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PCRE 7.x
Уязвимые версии: PCRE 7.7, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки в pcre_compile.c при обработке определенных шаблонов, содержащих вначале опцию и множественные разветвления. Удаленный пользователь может с помощью специально сформированных шаблонов вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www.pcre.org

Решение: Установите последнюю версию 7.8 с сайта производителя.

Журнал изменений:

31.01.2009
Изменена секция «Решение».

Ссылки: http://bugs.gentoo.org/show_bug.cgi?id=228091

или введите имя

CAPTCHA